MonoMac 0.0.0.0 System.ValueType System.IEquatable<MonoMac.OpenGL.Vector2d> Represents a 2D vector using two double-precision floating-point numbers. To be added.
- Constructor
  0.0.0.0
  The value that will initialize this instance.
  Constructs a new instance.
  To be added.
- Constructor
  0.0.0.0
  The X coordinate.
  The Y coordinate.
  Constructs left vector with the given coordinates.
  To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Add() method instead.")
  System.Void `` Right operand. This parameter is only read from. Add the Vector passed as parameter to this instance. To be added.
- Method
  0.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("Use static Add() method instead.")
  System.Void `` Right operand. This parameter is only read from. Add the Vector passed as parameter to this instance. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` Left operand. Right operand. Adds two vectors. Result of operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of operation. Adds two vectors. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` `` `` `` First input Vector Second input Vector Third input Vector First Barycentric Coordinate Second Barycentric Coordinate Interpolate 3 Vectors using Barycentric coordinates a when u=v=0, b when u=1,v=0, c when u=0,v=1, and a linear combination of a,b,c otherwise To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` `` `` First input Vector. Second input Vector. Third input Vector. First Barycentric Coordinate. Second Barycentric Coordinate. Output Vector. a when u=v=0, b when u=1,v=0, c when u=0,v=1, and a linear combination of a,b,c otherwise Interpolate 3 Vectors using Barycentric coordinates To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` `` Input vector Minimum vector Maximum vector Clamp a vector to the given minimum and maximum vectors The clamped vector To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` Input vector Minimum vector Maximum vector The clamped vector Clamp a vector to the given minimum and maximum vectors To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Divide() method instead.")
  System.Void `` Scalar operand. Divide this instance by a scalar. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Divide() method instead.")
  MonoMac.OpenGL.Vector2d `` `` Vector operand Scalar operand Divide a vector by a scalar Result of the division To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Divide() method instead.")
  System.Void `` `` `` Vector operand Scalar operand Result of the division Divide a vector by a scalar To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` Left operand. Right operand. Divides a vector by the components of a vector (scale). Result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` Left operand. Right operand. Divides a vector by a scalar. Result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Divide a vector by the components of a vector (scale). To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Divides a vector by a scalar. To be added.
- Method
  0.0.0.0
  System.Double `` `` First operand Second operand Calculate the dot (scalar) product of two vectors The dot product of the two inputs To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The dot product of the two inputs Calculate the dot (scalar) product of two vectors To be added.
- Method
  0.0.0.0
  System.Boolean `` A vector to compare with this vector. Indicates whether the current vector is equal to another vector. true if the current vector is equal to the vector parameter; otherwise, false. To be added.
- Method
  0.0.0.0
  System.Boolean `` The object to compare to. Indicates whether this instance and a specified object are equal. True if the instances are equal; false otherwise. To be added.
- Method
  0.0.0.0
  System.Int32 Returns the hashcode for this instance. A System.Int32 containing the unique hashcode for this instance. To be added.
- Property
  0.0.0.0
  System.Double Gets the length (magnitude) of the vector. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets the square of the vector length (magnitude). To be added. This property avoids the costly square root operation required by the Length property. This makes it more suitable for comparisons.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` `` First input vector Second input vector The blend factor. a when blend=0, b when blend=1. Returns a new Vector that is the linear blend of the 2 given Vectors a when blend=0, b when blend=1, and a linear combination otherwise To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` First input vector Second input vector The blend factor. a when blend=0, b when blend=1. a when blend=0, b when blend=1, and a linear combination otherwise Returns a new Vector that is the linear blend of the 2 given Vectors To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` First operand Second operand Calculate the component-wise maximum of two vectors The component-wise maximum To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The component-wise maximum Calculate the component-wise maximum of two vectors To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` First operand Second operand Calculate the component-wise minimum of two vectors The component-wise minimum To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The component-wise minimum Calculate the component-wise minimum of two vectors To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` Scalar operand. Multiply this instance by a scalar. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  MonoMac.OpenGL.Vector2d `` `` Vector operand Scalar operand Multiply a vector and a scalar Result of the multiplication To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` `` `` Vector operand Scalar operand Result of the multiplication Multiply a vector and a scalar To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` Left operand. Right operand. Multiplies a vector by the components a vector (scale). Result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` Left operand. Right operand. Multiplies a vector by a scalar. Result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Multiplies a vector by the components of a vector (scale). To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Multiplies a vector by a scalar. To be added.
- Method
  0.0.0.0
  System.Void Scales the Vector2 to unit length. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` The input vector Scale a vector to unit length The normalized vector To be added.
- Method
  0.0.0.0
  System.Void `` `` The input vector The normalized vector Scale a vector to unit length To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` The input vector Scale a vector to approximately unit length The normalized vector To be added.
- Method
  0.0.0.0
  System.Void `` `` The input vector The normalized vector Scale a vector to approximately unit length To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector2d Defines an instance with all components set to 1. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` The left instance. The right instance. Adds two instances. The result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` The instance. The scalar. Divides an instance by a scalar. The result of the operation. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` The left instance. The right instance. Compares two instances for equality. True, if both instances are equal; false otherwise. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` The Vector2 to convert. Converts OpenTK.Vector2 to OpenTK.Vector2d. The resulting Vector2d. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` The Vector2d to convert. Converts OpenTK.Vector2d to OpenTK.Vector2. The resulting Vector2. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` The left instance. The right instance. Compares two instances for ienquality. True, if the instances are not equal; false otherwise. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` The instance. The scalar. Multiplies an instance by a scalar. The result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` The scalar. The instance. Multiply an instance by a scalar. The result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` The left instance. The right instance. Subtracts two instances. The result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` The instance. Negates an instance. The result of the operation. To be added.
- Property
  0.0.0.0
  MonoMac.OpenGL.Vector2d Gets the perpendicular vector on the left side of this vector. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.OpenGL.Vector2d Gets the perpendicular vector on the right side of this vector. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` The scaling of the individual components. Scales this instance by the given parameter. To be added.
- Method
  0.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` The scaling of the individual components. Scales this instance by the given parameter. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` `` The scale of the X component. The scale of the Y component. Scales the current Vector2 by the given amounts. To be added.
- Field
  0.0.0.0
  System.Int32 Defines the size of the Vector2d struct in bytes. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Subtract() method instead.")
  System.Void `` Right operand. This parameter is only read from. Subtract the Vector passed as parameter from this instance. To be added.
- Method
  0.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("Use static Subtract() method instead.")
  System.Void `` Right operand. This parameter is only read from. Subtract the Vector passed as parameter from this instance. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Subtract() method instead.")
  MonoMac.OpenGL.Vector2d `` `` First operand Second operand Subtract one Vector from another Result of subtraction To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Subtract() method instead.")
  System.Void `` `` `` First operand Second operand Result of subtraction Subtract one Vector from another To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` First operand Second operand Subtract one Vector from another Result of subtraction To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand Result of subtraction Subtract one Vector from another To be added.
- Method
  0.0.0.0
  System.String Returns a System.String that represents the current instance. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` `` The vector to transform. The quaternion to rotate the vector by. Transforms a vector by a quaternion rotation. The result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The vector to transform. The quaternion to rotate the vector by. The result of the operation. Transforms a vector by a quaternion rotation. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector2d Defines a unit-length Vector2d that points towards the X-axis. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector2d Defines a unit-length Vector2d that points towards the Y-axis. To be added.
- Field
  0.0.0.0
  System.Double The X coordinate of this instance. To be added.
- Field
  0.0.0.0
  System.Double The Y coordinate of this instance. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector2d Defines a zero-length Vector2d. To be added.